Subject: [netlmm] FW: Seeking input on a technical issue under discussion in NETLMM (from Erik Nordmark)

From: "Narayanan, Vidya" <[email-masked]>
Date: Wed, 3 Oct 2007 13:05:05 -0700

All,
I sought some outside expert advice on the connectivity for multihomed
hosts under discussion, as Jonne indicated on the list earlier.  The
response from Erik is attached below. 

Thanks,
Vidya

> -----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]] 
> Sent: Wednesday, October 03, 2007 11:33 AM
> To: Narayanan, Vidya
> Cc: Soininen Jonne (NSN FI/Espoo); Jari Arkko
> Subject: Re: Seeking input on a technical issue under 
> discussion in NETLMM
> 
> 
> While I haven't read all the background material, it seems 
> very odd to design things so that a multihomed host would 
> fail in hard to diagnose ways with netlmm.
> 
> But what needs to be preserved is quite limited.
> 
> Without netlmm the following constraints apply:
> 
> With stateless adress autoconfig a host with two interfaces 
> which attaches to the same network needs to have different L2 
> addresses on those network interfaces they get a different 
> token to form the stateless addresses.
> 
> With DHCPv6 the two interfaces need to have different L2 
> addresses so that the server sees those as different.
> 
> If netlmm would use the L2 address as the identifier then it 
> would automatically preserve the behavior one sees without netlmm.
> I don't know why netlmm chose to use a NAI that is per host 
> instead of per interface.
> FWIW All the WiFi systems I use seem to remember my laptop by 
> its MAC address, so presumably netlmm had a very good reason 
> to do something different.
> 
> If netlmm, for whatever reason, think it can't solve the 
> multihoming issue above, then it should at a minimum detect 
> it. For instance allowing a NAI to only be used with one MAC 
> address means that netlmm could still handle movement, but it 
> can tell movement apart from the same NAI being used on a 
> second NIC since that NIC would have a different MAC address.
> 
>     Erik
> 
> 

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Sri Gundavelli <[email-masked]>
Date: Wed, 3 Oct 2007 13:34:01 -0700 (PDT)

Vidya,

Can you also post what your question was to the experts. We had
so many discussions and quite a few details are there. It is
fair that there is proper representation for both the views. If
Jonne is doing the moderation, that is good too.

Regards
Sri

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Wed, 3 Oct 2007 17:52:42 -0700

Sri,
I've attached the email.  In addition, the link to the current PMIPv6
draft was also sent to him subsequently.  

Thanks,
Vidya

> From: Sri Gundavelli [mailto:[email-masked]] 
> Sent: Wednesday, October 03, 2007 1:34 PM
> To: Narayanan, Vidya
> Cc: [email-masked]
> Subject: Re: [netlmm] FW: Seeking input on a technical issue 
> under discussion in NETLMM (from Erik Nordmark)
> 
> Vidya,
> 
> Can you also post what your question was to the experts. We 
> had so many discussions and quite a few details are there. It 
> is fair that there is proper representation for both the 
> views. If Jonne is doing the moderation, that is good too.
> 
> 
> Regards
> Sri
> 
> 
> discussion in 
> >> NETLMM
> very odd 
> >> to design things so that a multihomed host would fail in hard to 
> >> diagnose ways with netlmm.
> >>
> >> With stateless adress autoconfig a host with two interfaces which 
> >> attaches to the same network needs to have different L2 
> addresses on 
> >> those network interfaces they get a different token to form the 
> >> stateless addresses.
> >>
> >> If netlmm would use the L2 address as the identifier then it would 
> >> automatically preserve the behavior one sees without netlmm.
> >> I don't know why netlmm chose to use a NAI that is per 
> host instead 
> >> of per interface.
> >> FWIW All the WiFi systems I use seem to remember my laptop 
> by its MAC 
> >> address, so presumably netlmm had a very good reason to do 
> something 
> >> different.
> >>
> multihoming 
> >> issue above, then it should at a minimum detect it. For instance 
> >> allowing a NAI to only be used with one MAC address means 
> that netlmm 
> >> could still handle movement, but it can tell movement 
> apart from the 
> >> same NAI being used on a second NIC since that NIC would have a 
> >> different MAC address.
> >>
> >>     Erik
> >>
> >>
> >
> >

Subject: Seeking input on a technical issue under discussion in NETLMM
From: "Narayanan, Vidya" <[email-masked]>
To: <[email-masked]>
Cc: "Soininen Jonne (NSN FI/Espoo)" <[email-masked]>, "Jari Arkko" <[email-masked]>
Date: Tue, 2 Oct 2007 14:43:20 -0700

Hi Erik,
We are trying to get the PMIPv6 specification to WG LC in the NETLMM WG.
There is one outstanding issue related to how the protocol handles IP
connectivity to nodes that may be multihomed, with multiple interfaces
attaching to a given PMIP domain.  

In my view, the issue identified may result in unstable or no IP
connectivity to unmodified multihomed IP nodes.  I have attached an
email I sent to the list detailing the issue.  

The WG at large (except for very few people) is in favor of calling
multihoming out of scope and moving on.  However, in my view as a
co-chair and technical contributor, this is a fairly fundamental issue
that the protocol needs to address to work with unmodified IP hosts
(which is the goal of the charter).  A resolution is needed not to
really address multihoming in the sense of allowing connectivity via
multiple interfaces simultaneously, but, to provide any stable IP
connectivity at all to multihomed devices via at least one interface.  

I'm seeking your expert opinion on this issue at this time.  If you can
take some time to review this issue and share your thoughts on it, I'd
greatly appreciate it.  

I understand that you may need some time to get back on this - if you
could ack to let me or Jonne know that you would be able to do it, that
would be very helpful. 

Thanks in advance. 

Regards,
Vidya

Subject: RE: [netlmm] Issue: Prefix allocation and multihomed MNs (ProblemDescription Take 2)
From: "Narayanan, Vidya" <[email-masked]>
To: "Sri Gundavelli" <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 29 Sep 2007 10:11:13 -0700

All, 
I think several people have understood the problem we are discussing
here, but, there still seems to be some confusion.  Here is a second
attempt at describing the problem, this time in some more detail: 

* MN has two interfaces attached to MAG1 and MAG2 under the same LMA
* Let's say MAG1 first created the binding at the LMA and acquired a
prefix/address for the MN, using MN-ID1
* MN obtains the prefix/address on Interface1; if the MN is using DHCP,
it will only get an address (since there is no requirement on the MN to
do DHCP-PD)
* MAG2 now sends a PBU with MN-ID1 also (very possible when the ID is
something like an NAI)
* LMA thinks the MN moved, updates the binding and returns the same
prefix for the MN to MAG2
* MN receives the same prefix/address via DHCP or RA over Interface2; MN
detects a duplicate address and per RFC2462, does not configure that
address on Interface2; Interface2 is now not enabled for IP forwarding; 
* If the MN is using stateless autoconfiguration, it may end up with a
different address for Interface2; in this case, Interface2 is enabled;
the assigned prefix, however, is no longer just over a point-to-point
link, although, the MAG thinks it is
* The LMA has a binding for MAG2 (corresponding to Interface2)
* If the MN never enabled Interface2 due to duplicate address issues,
the MN will try to use Interface1, but, unsuccessfully, since the LMA
will drop those packets; LMA will send packets to MAG2 (Interface2),
which will not be received by the MN
* If the MN has enabled Interface2 with a different address, depending
on the implementation, the MN may use Interface1 or Interface2 (some OSs
will just pick one); any communication attempted via Interface 1 will
fail
* In the meantime, the binding may keep toggling between MAG1 and MAG2
at the LMA, due to corresponding PBUs received; the MN may have
intermittent connectivity as a result of this

I've tried going through this issue with several developers and everyone
agress that this problem exists for unmodified IP hosts.  Several people
have acknowledged that on this list as well (as part of this thread and
also discussions back in early August).  

Among those who believe there is no issue here, I'd appreciate if
someone could walk through the steps and explain why this is not a
technical issue and how the MN can use at least one interface for stable
IP connectivity.  

I'm as eager to close this thread as anyone.  I don't see a solution
other than ensuring that separate IP addresses/prefixes are assigned to
each interface and that those are treated as separate PMIP sessions.  I
look forward to either hearing why this is not a problem or possible
solutions to it. 

Thanks,
Vidya

---

From: "Sri Gundavelli" <[email-masked]>
Date: Wed, 3 Oct 2007 19:52:07 -0700

Thanks !

> From: Narayanan, Vidya [mailto:[email-masked]] 
> Sent: Wednesday, October 03, 2007 5:53 PM
> To: Sri Gundavelli
> Cc: [email-masked]
> Subject: RE: [netlmm] FW: Seeking input on a technical issue